Name:           canto
Version:        0.9.8
Release:        %mkrel 7
Summary:        The next generation Canto RSS daemon
Group:          Networking/News
License:        GPLv2+
URL:            https://codezen.org/canto-ng
Source0:	https://github.com/themoken/canto-next/archive/v%{version}/canto-next-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-feedparser
Provides:       canto-next = %{version}-%{release}

%description
Canto is an Atom/RSS feed reader for the console that is meant to be quick,
concise, and colorful. It’s meant to provide a minimal, yet information packed
interface. No navigating menus. No dense blocks of unreadable white text. An
interface with almost infinite customization and extensibility using the
excellent Python programming language.

This is the RSS backend for Canto clients. Canto-curses is the default client.

%prep
%setup -qn canto-next-%{version}

%build
%py3_build

%install
%py3_install

%files
%license COPYING
%doc README*
%{_bindir}/canto-daemon
%{_bindir}/canto-remote
%{_prefix}/lib/canto/
%{python3_sitelib}/Canto-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/canto_next/
%{_userunitdir}/canto-daemon.service
%{_mandir}/man1/canto-daemon.1*
%{_mandir}/man1/canto-remote.1*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.8-7.mga10
+ Revision: 2243176
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 papoteur <papoteur> 0.9.8-6.mga10
+ Revision: 2161417
- rebuild for python 3.13

* Wed Dec 27 2023 papoteur <papoteur> 0.9.8-5.mga10
+ Revision: 2022258
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 0.9.8-4.mga9
+ Revision: 1816160
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.9.8-3.mga9
+ Revision: 1774224
- fix files list
- bump rel
- version 0.9.8
- rebuild for python-3.10

* Fri Mar 26 2021 tv <tv> 0.9.7-3.mga9
+ Revision: 1710469
- rebuild for python 3.9

* Mon Feb 17 2020 umeabot <umeabot> 0.9.7-2.mga8
+ Revision: 1537254
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 0.9.7-1.mga8
+ Revision: 1456340
- switch to canto-next
- new version 0.9.7

* Sat Sep 22 2018 umeabot <umeabot> 0.7.10-12.mga7
+ Revision: 1295973
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.7.10-11.mga6
+ Revision: 939527
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.10-10.mga5
+ Revision: 750328
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.10-9.mga5
+ Revision: 726017
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 0.7.10-8.mga5
+ Revision: 693572
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.7.10-7.mga5
+ Revision: 678307
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.10-6.mga5
+ Revision: 628127
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.10-5.mga4
+ Revision: 544891
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.10-4.mga4
+ Revision: 500470
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 0.7.10-3.mga3
+ Revision: 347390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 02 2011 kharec <kharec> 0.7.10-2.mga2
+ Revision: 161479
- imported package canto

